_Hall_Read:
;HALL CURRENT click.c,57 :: 		unsigned Hall_Read()
SUB	SP, SP, #4
STR	LR, [SP, #0]
;HALL CURRENT click.c,60 :: 		unsigned int tmp = 0;
;HALL CURRENT click.c,61 :: 		unsigned int buffer = 0;
; buffer start address is: 8 (R2)
MOVW	R2, #0
;HALL CURRENT click.c,63 :: 		Chip_Select = 0;          // Select Hall Click Board
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOD_ODR+0)
MOVT	R0, #hi_addr(GPIOD_ODR+0)
STR	R1, [R0, #0]
;HALL CURRENT click.c,64 :: 		tmp = SPI3_Read(buffer);  // Get value
UXTH	R0, R2
; buffer end address is: 8 (R2)
BL	_SPI3_Read+0
;HALL CURRENT click.c,65 :: 		Chip_Select = 1;          // Deselect Hall Click Board
MOVS	R2, #1
SXTB	R2, R2
MOVW	R1, #lo_addr(GPIOD_ODR+0)
MOVT	R1, #hi_addr(GPIOD_ODR+0)
STR	R2, [R1, #0]
;HALL CURRENT click.c,67 :: 		return tmp; // Returns value
;HALL CURRENT click.c,68 :: 		}
L_end_Hall_Read:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _Hall_Read
_ADC_Read:
;HALL CURRENT click.c,70 :: 		float ADC_Read()
SUB	SP, SP, #4
STR	LR, [SP, #0]
;HALL CURRENT click.c,75 :: 		adc_ = ADC1_Get_Sample(3);            // Get ADC value from corresponding channel
MOVS	R0, #3
BL	_ADC1_Get_Sample+0
;HALL CURRENT click.c,78 :: 		adc_v = (float)adc_ * 0.08056640625;
BL	__SignedIntegralToFloat+0
MOVW	R2, #0
MOVT	R2, #15781
BL	__Mul_FP+0
;HALL CURRENT click.c,79 :: 		return adc_v;
MOV	R0, R0
;HALL CURRENT click.c,80 :: 		}
L_end_ADC_Read:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _ADC_Read
_Init:
;HALL CURRENT click.c,82 :: 		void Init()
SUB	SP, SP, #4
STR	LR, [SP, #0]
;HALL CURRENT click.c,84 :: 		ADC_Set_Input_Channel(_ADC_CHANNEL_3);    // Choose ADC channel 3
MOVW	R0, #8
BL	_ADC_Set_Input_Channel+0
;HALL CURRENT click.c,85 :: 		ADC1_Init();                              // Init ADC
BL	_ADC1_Init+0
;HALL CURRENT click.c,88 :: 		TFT_Set_Default_Mode();
BL	_TFT_Set_Default_Mode+0
;HALL CURRENT click.c,89 :: 		TFT_Init_ILI9341_8bit(320, 240);
MOVS	R1, #240
MOVW	R0, #320
BL	_TFT_Init_ILI9341_8bit+0
;HALL CURRENT click.c,94 :: 		}
L_end_Init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _Init
_DrawFrame:
;HALL CURRENT click.c,96 :: 		void DrawFrame()
SUB	SP, SP, #4
STR	LR, [SP, #0]
;HALL CURRENT click.c,98 :: 		TFT_Fill_Screen(CL_WHITE);
MOVW	R0, #65535
BL	_TFT_Fill_Screen+0
;HALL CURRENT click.c,99 :: 		TFT_Set_Pen(CL_BLACK, 1);
MOVS	R1, #1
MOVW	R0, #0
BL	_TFT_Set_Pen+0
;HALL CURRENT click.c,100 :: 		TFT_Line(20,  46, 300,  46);
MOVS	R3, #46
SXTH	R3, R3
MOVW	R2, #300
SXTH	R2, R2
MOVS	R1, #46
SXTH	R1, R1
MOVS	R0, #20
SXTH	R0, R0
BL	_TFT_Line+0
;HALL CURRENT click.c,101 :: 		TFT_Line(20, 220, 300, 220);
MOVS	R3, #220
SXTH	R3, R3
MOVW	R2, #300
SXTH	R2, R2
MOVS	R1, #220
SXTH	R1, R1
MOVS	R0, #20
SXTH	R0, R0
BL	_TFT_Line+0
;HALL CURRENT click.c,102 :: 		TFT_Set_Font(&HandelGothic_BT21x22_Regular, CL_RED, FO_HORIZONTAL);
MOVS	R2, #0
MOVW	R1, #63488
MOVW	R0, #lo_addr(_HandelGothic_BT21x22_Regular+0)
MOVT	R0, #hi_addr(_HandelGothic_BT21x22_Regular+0)
BL	_TFT_Set_Font+0
;HALL CURRENT click.c,103 :: 		TFT_Write_Text("Hall Click Board Demo", 55, 14);
MOVW	R0, #lo_addr(?lstr1_HALL_32CURRENT_32click+0)
MOVT	R0, #hi_addr(?lstr1_HALL_32CURRENT_32click+0)
MOVS	R2, #14
MOVS	R1, #55
BL	_TFT_Write_Text+0
;HALL CURRENT click.c,104 :: 		TFT_Set_Font(&Verdana12x13_Regular, CL_BLACK, FO_HORIZONTAL);
MOVS	R2, #0
MOVW	R1, #0
MOVW	R0, #lo_addr(_Verdana12x13_Regular+0)
MOVT	R0, #hi_addr(_Verdana12x13_Regular+0)
BL	_TFT_Set_Font+0
;HALL CURRENT click.c,105 :: 		TFT_Write_Text("EasyMx PRO v7 for STM32", 19, 223);
MOVW	R0, #lo_addr(?lstr2_HALL_32CURRENT_32click+0)
MOVT	R0, #hi_addr(?lstr2_HALL_32CURRENT_32click+0)
MOVS	R2, #223
MOVS	R1, #19
BL	_TFT_Write_Text+0
;HALL CURRENT click.c,106 :: 		TFT_Set_Font(&Verdana12x13_Regular, CL_RED, FO_HORIZONTAL);
MOVS	R2, #0
MOVW	R1, #63488
MOVW	R0, #lo_addr(_Verdana12x13_Regular+0)
MOVT	R0, #hi_addr(_Verdana12x13_Regular+0)
BL	_TFT_Set_Font+0
;HALL CURRENT click.c,107 :: 		TFT_Write_Text("www.mikroe.com", 200, 223);
MOVW	R0, #lo_addr(?lstr3_HALL_32CURRENT_32click+0)
MOVT	R0, #hi_addr(?lstr3_HALL_32CURRENT_32click+0)
MOVS	R2, #223
MOVS	R1, #200
BL	_TFT_Write_Text+0
;HALL CURRENT click.c,112 :: 		}
L_end_DrawFrame:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _DrawFrame
_main:
;HALL CURRENT click.c,114 :: 		void main()
SUB	SP, SP, #24
;HALL CURRENT click.c,117 :: 		Init();
BL	_Init+0
;HALL CURRENT click.c,119 :: 		DrawFrame();
BL	_DrawFrame+0
;HALL CURRENT click.c,121 :: 		GPIO_Digital_Output(&GPIOD_BASE, _GPIO_PINMASK_13);
MOVW	R1, #8192
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;HALL CURRENT click.c,122 :: 		Chip_Select = 1;                 // Deselect Hall Click Board
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOD_ODR+0)
MOVT	R0, #hi_addr(GPIOD_ODR+0)
STR	R1, [R0, #0]
;HALL CURRENT click.c,128 :: 		_SPI_SSI_1, &_GPIO_MODULE_SPI3_PC10_11_12);
MOVW	R2, #lo_addr(__GPIO_MODULE_SPI3_PC10_11_12+0)
MOVT	R2, #hi_addr(__GPIO_MODULE_SPI3_PC10_11_12+0)
MOVW	R1, #2821
;HALL CURRENT click.c,125 :: 		SPI3_Init_Advanced(_SPI_FPCLK_DIV32, _SPI_MASTER | _SPI_16_BIT |
MOVS	R0, #4
;HALL CURRENT click.c,128 :: 		_SPI_SSI_1, &_GPIO_MODULE_SPI3_PC10_11_12);
BL	_SPI3_Init_Advanced+0
;HALL CURRENT click.c,129 :: 		Delay_ms(100);
MOVW	R7, #20351
MOVT	R7, #18
NOP
NOP
L_main0:
SUBS	R7, R7, #1
BNE	L_main0
NOP
NOP
NOP
;HALL CURRENT click.c,130 :: 		TFT_Set_Font(&Verdana12x13_Regular, CL_BLACK, FO_HORIZONTAL); // TFT_defaultFont
MOVS	R2, #0
MOVW	R1, #0
MOVW	R0, #lo_addr(_Verdana12x13_Regular+0)
MOVT	R0, #hi_addr(_Verdana12x13_Regular+0)
BL	_TFT_Set_Font+0
;HALL CURRENT click.c,133 :: 		TFT_Write_Text("Voltage (V)  :", 55, 49); // 60
MOVW	R0, #lo_addr(?lstr4_HALL_32CURRENT_32click+0)
MOVT	R0, #hi_addr(?lstr4_HALL_32CURRENT_32click+0)
MOVS	R2, #49
MOVS	R1, #55
BL	_TFT_Write_Text+0
;HALL CURRENT click.c,134 :: 		TFT_Write_Text("Power  (VA) :", 55, 94); // 105
MOVW	R0, #lo_addr(?lstr5_HALL_32CURRENT_32click+0)
MOVT	R0, #hi_addr(?lstr5_HALL_32CURRENT_32click+0)
MOVS	R2, #94
MOVS	R1, #55
BL	_TFT_Write_Text+0
;HALL CURRENT click.c,136 :: 		current_min = 0.0;
MOV	R1, #0
MOVW	R0, #lo_addr(_current_min+0)
MOVT	R0, #hi_addr(_current_min+0)
STR	R1, [R0, #0]
;HALL CURRENT click.c,137 :: 		current_max = 0.0;
MOV	R1, #0
MOVW	R0, #lo_addr(_current_max+0)
MOVT	R0, #hi_addr(_current_max+0)
STR	R1, [R0, #0]
;HALL CURRENT click.c,138 :: 		current_moy = 0.0;
MOV	R1, #0
MOVW	R0, #lo_addr(_current_moy+0)
MOVT	R0, #hi_addr(_current_moy+0)
STR	R1, [R0, #0]
;HALL CURRENT click.c,139 :: 		current_eff = 0.0;
MOV	R1, #0
MOVW	R0, #lo_addr(_current_eff+0)
MOVT	R0, #hi_addr(_current_eff+0)
STR	R1, [R0, #0]
;HALL CURRENT click.c,140 :: 		Pmoy = 0.0;
MOV	R1, #0
MOVW	R0, #lo_addr(_Pmoy+0)
MOVT	R0, #hi_addr(_Pmoy+0)
STR	R1, [R0, #0]
;HALL CURRENT click.c,141 :: 		k = 1.0;  // 50 pixels pour 50A
MOV	R1, #1065353216
MOVW	R0, #lo_addr(_k+0)
MOVT	R0, #hi_addr(_k+0)
STR	R1, [R0, #0]
;HALL CURRENT click.c,144 :: 		while(1)
L_main2:
;HALL CURRENT click.c,147 :: 		voltage_read_float = ADC_Read();
BL	_ADC_Read+0
MOVW	R1, #lo_addr(_voltage_read_float+0)
MOVT	R1, #hi_addr(_voltage_read_float+0)
STR	R0, [R1, #0]
;HALL CURRENT click.c,149 :: 		current_read = Hall_Read();
BL	_Hall_Read+0
MOVW	R1, #lo_addr(_current_read+0)
MOVT	R1, #hi_addr(_current_read+0)
STRH	R0, [R1, #0]
;HALL CURRENT click.c,151 :: 		if(current_read.B15 == 0)
MOVW	R1, #lo_addr(_current_read+0)
MOVT	R1, #hi_addr(_current_read+0)
LDR	R0, [R1, #0]
CMP	R0, #0
IT	NE
BNE	L_main4
;HALL CURRENT click.c,153 :: 		current_read = current_read & 0x1FFF;                     // Get [13:0] bits of current value
MOVW	R2, #lo_addr(_current_read+0)
MOVT	R2, #hi_addr(_current_read+0)
LDRSH	R1, [R2, #0]
MOVW	R0, #8191
SXTH	R0, R0
AND	R0, R1, R0, LSL #0
SXTH	R0, R0
STRH	R0, [R2, #0]
;HALL CURRENT click.c,154 :: 		current_read = current_read - 4096;                       // Map the current value
SUB	R0, R0, #4096
SXTH	R0, R0
STRH	R0, [R2, #0]
;HALL CURRENT click.c,155 :: 		current_read_float = (float)current_read * 0.0125;        // Calculate the current value in Amperes
BL	__SignedIntegralToFloat+0
MOVW	R2, #52429
MOVT	R2, #15436
BL	__Mul_FP+0
MOVW	R1, #lo_addr(_current_read_float+0)
MOVT	R1, #hi_addr(_current_read_float+0)
STR	R1, [SP, #8]
STR	R0, [R1, #0]
;HALL CURRENT click.c,156 :: 		current_abs_float = fabs( current_read_float );
MOV	R0, R0
BL	_fabs+0
MOVW	R1, #lo_addr(_current_abs_float+0)
MOVT	R1, #hi_addr(_current_abs_float+0)
STR	R1, [SP, #12]
STR	R0, [R1, #0]
;HALL CURRENT click.c,157 :: 		current_eff = current_eff + pow(current_read_float, 2.0);
LDR	R0, [SP, #8]
LDR	R0, [R0, #0]
MOV	R1, #1073741824
BL	_pow+0
MOVW	R1, #lo_addr(_current_eff+0)
MOVT	R1, #hi_addr(_current_eff+0)
STR	R1, [SP, #8]
LDR	R2, [R1, #0]
BL	__Add_FP+0
LDR	R1, [SP, #8]
STR	R0, [R1, #0]
;HALL CURRENT click.c,159 :: 		if(current_abs_float > current_max) current_max = current_abs_float;
MOVW	R0, #lo_addr(_current_max+0)
MOVT	R0, #hi_addr(_current_max+0)
LDR	R2, [R0, #0]
LDR	R0, [SP, #12]
LDR	R0, [R0, #0]
BL	__Compare_FP+0
MOVW	R0, #0
BLE	L__main14
MOVS	R0, #1
L__main14:
CMP	R0, #0
IT	EQ
BEQ	L_main5
MOVW	R0, #lo_addr(_current_abs_float+0)
MOVT	R0, #hi_addr(_current_abs_float+0)
LDR	R1, [R0, #0]
MOVW	R0, #lo_addr(_current_max+0)
MOVT	R0, #hi_addr(_current_max+0)
STR	R1, [R0, #0]
L_main5:
;HALL CURRENT click.c,161 :: 		current_moy = (319.0 * current_moy + current_abs_float) * 0.003125;
MOVW	R0, #lo_addr(_current_moy+0)
MOVT	R0, #hi_addr(_current_moy+0)
STR	R0, [SP, #8]
LDR	R2, [R0, #0]
MOVW	R0, #32768
MOVT	R0, #17311
BL	__Mul_FP+0
MOVW	R1, #lo_addr(_current_abs_float+0)
MOVT	R1, #hi_addr(_current_abs_float+0)
STR	R1, [SP, #20]
LDR	R2, [R1, #0]
BL	__Add_FP+0
MOVW	R2, #52429
MOVT	R2, #15180
BL	__Mul_FP+0
LDR	R1, [SP, #8]
STR	R0, [R1, #0]
;HALL CURRENT click.c,162 :: 		power_float = voltage_read_float * current_moy;    // W = V * A
MOVW	R1, #lo_addr(_voltage_read_float+0)
MOVT	R1, #hi_addr(_voltage_read_float+0)
LDR	R2, [R1, #0]
BL	__Mul_FP+0
MOVW	R1, #lo_addr(_power_float+0)
MOVT	R1, #hi_addr(_power_float+0)
STR	R0, [R1, #0]
;HALL CURRENT click.c,164 :: 		x = j;
MOVW	R2, #lo_addr(_j+0)
MOVT	R2, #hi_addr(_j+0)
STR	R2, [SP, #16]
LDRSH	R0, [R2, #0]
STRH	R0, [SP, #4]
;HALL CURRENT click.c,165 :: 		TFT_Dot(x, i[j], CL_WHITE);
MOV	R0, R2
LDRSH	R1, [R0, #0]
MOVW	R0, #lo_addr(_i+0)
MOVT	R0, #hi_addr(_i+0)
ADDS	R0, R0, R1
LDRB	R0, [R0, #0]
UXTB	R1, R0
MOV	R0, R2
MOVW	R2, #65535
LDRSH	R0, [R0, #0]
BL	_TFT_Dot+0
;HALL CURRENT click.c,166 :: 		TFT_Dot(x, im[j], CL_WHITE);
MOVW	R0, #lo_addr(_j+0)
MOVT	R0, #hi_addr(_j+0)
LDRSH	R1, [R0, #0]
MOVW	R0, #lo_addr(_im+0)
MOVT	R0, #hi_addr(_im+0)
ADDS	R0, R0, R1
LDRB	R0, [R0, #0]
MOVW	R2, #65535
SXTH	R1, R0
LDRSH	R0, [SP, #4]
BL	_TFT_Dot+0
;HALL CURRENT click.c,167 :: 		i[j]  = 165 + k * current_read_float;
MOVW	R0, #lo_addr(_j+0)
MOVT	R0, #hi_addr(_j+0)
LDRSH	R1, [R0, #0]
MOVW	R0, #lo_addr(_i+0)
MOVT	R0, #hi_addr(_i+0)
ADDS	R0, R0, R1
STR	R0, [SP, #12]
MOVW	R0, #lo_addr(_current_read_float+0)
MOVT	R0, #hi_addr(_current_read_float+0)
LDR	R2, [R0, #0]
MOVW	R0, #lo_addr(_k+0)
MOVT	R0, #hi_addr(_k+0)
STR	R0, [SP, #8]
LDR	R0, [R0, #0]
BL	__Mul_FP+0
MOVW	R2, #0
MOVT	R2, #17189
BL	__Add_FP+0
BL	__FloatToUnsignedIntegral+0
UXTB	R0, R0
LDR	R1, [SP, #12]
STRB	R0, [R1, #0]
;HALL CURRENT click.c,168 :: 		im[j] = 215 - k * current_abs_float;
LDR	R0, [SP, #16]
LDRSH	R1, [R0, #0]
MOVW	R0, #lo_addr(_im+0)
MOVT	R0, #hi_addr(_im+0)
ADDS	R1, R0, R1
LDR	R0, [SP, #20]
STR	R1, [SP, #12]
LDR	R2, [R0, #0]
LDR	R0, [SP, #8]
LDR	R0, [R0, #0]
BL	__Mul_FP+0
STR	R0, [SP, #8]
MOVW	R0, #0
MOVT	R0, #17239
STR	R1, [SP, #0]
LDR	R1, [SP, #8]
MOV	R2, R1
BL	__Sub_FP+0
LDR	R1, [SP, #0]
BL	__FloatToUnsignedIntegral+0
UXTB	R0, R0
LDR	R1, [SP, #12]
STRB	R0, [R1, #0]
;HALL CURRENT click.c,169 :: 		TFT_Dot(x, 165, CL_GRAY);
MOVW	R2, #33808
MOVS	R1, #165
SXTH	R1, R1
LDRSH	R0, [SP, #4]
BL	_TFT_Dot+0
;HALL CURRENT click.c,171 :: 		TFT_Dot(x, i[j], CL_GREEN);//CL_OLIVE);
MOVW	R0, #lo_addr(_j+0)
MOVT	R0, #hi_addr(_j+0)
LDRSH	R1, [R0, #0]
MOVW	R0, #lo_addr(_i+0)
MOVT	R0, #hi_addr(_i+0)
ADDS	R0, R0, R1
LDRB	R0, [R0, #0]
MOVW	R2, #1024
SXTH	R1, R0
LDRSH	R0, [SP, #4]
BL	_TFT_Dot+0
;HALL CURRENT click.c,173 :: 		TFT_Dot(x, im[j], CL_BLUE);
MOVW	R0, #lo_addr(_j+0)
MOVT	R0, #hi_addr(_j+0)
LDRSH	R1, [R0, #0]
MOVW	R0, #lo_addr(_im+0)
MOVT	R0, #hi_addr(_im+0)
ADDS	R0, R0, R1
LDRB	R0, [R0, #0]
MOVW	R2, #31
SXTH	R1, R0
LDRSH	R0, [SP, #4]
BL	_TFT_Dot+0
;HALL CURRENT click.c,174 :: 		j++;
MOVW	R1, #lo_addr(_j+0)
MOVT	R1, #hi_addr(_j+0)
LDRSH	R0, [R1, #0]
ADDS	R0, R0, #1
STRH	R0, [R1, #0]
;HALL CURRENT click.c,175 :: 		}
L_main4:
;HALL CURRENT click.c,177 :: 		if( j == 320 )
MOVW	R0, #lo_addr(_j+0)
MOVT	R0, #hi_addr(_j+0)
LDRSH	R0, [R0, #0]
CMP	R0, #320
IT	NE
BNE	L_main6
;HALL CURRENT click.c,179 :: 		current_eff = sqrt(current_eff / 320.0);
MOVW	R0, #lo_addr(_current_eff+0)
MOVT	R0, #hi_addr(_current_eff+0)
LDR	R0, [R0, #0]
MOVW	R2, #0
MOVT	R2, #17312
BL	__Div_FP+0
BL	_sqrt+0
MOVW	R1, #lo_addr(_current_eff+0)
MOVT	R1, #hi_addr(_current_eff+0)
STR	R0, [R1, #0]
;HALL CURRENT click.c,181 :: 		TFT_Set_Font(&Verdana12x13_Regular, CL_WHITE, FO_HORIZONTAL); // TFT_defaultFont
MOVS	R2, #0
MOVW	R1, #65535
MOVW	R0, #lo_addr(_Verdana12x13_Regular+0)
MOVT	R0, #hi_addr(_Verdana12x13_Regular+0)
BL	_TFT_Set_Font+0
;HALL CURRENT click.c,183 :: 		TFT_Write_Text(txt_V, 200, 49); //60
MOVS	R2, #49
MOVS	R1, #200
MOVW	R0, #lo_addr(_txt_V+0)
MOVT	R0, #hi_addr(_txt_V+0)
BL	_TFT_Write_Text+0
;HALL CURRENT click.c,184 :: 		TFT_Write_Text(txt_A_eff, 200, 64); // 75
MOVS	R2, #64
MOVS	R1, #200
MOVW	R0, #lo_addr(_txt_A_eff+0)
MOVT	R0, #hi_addr(_txt_A_eff+0)
BL	_TFT_Write_Text+0
;HALL CURRENT click.c,185 :: 		TFT_Write_Text(txt_A_moy, 200, 79); // 90
MOVS	R2, #79
MOVS	R1, #200
MOVW	R0, #lo_addr(_txt_A_moy+0)
MOVT	R0, #hi_addr(_txt_A_moy+0)
BL	_TFT_Write_Text+0
;HALL CURRENT click.c,186 :: 		TFT_Write_Text(txt_W, 200, 94); //105
MOVS	R2, #94
MOVS	R1, #200
MOVW	R0, #lo_addr(_txt_W+0)
MOVT	R0, #hi_addr(_txt_W+0)
BL	_TFT_Write_Text+0
;HALL CURRENT click.c,192 :: 		TFT_Set_Font(&Verdana12x13_Regular, CL_BLACK, FO_HORIZONTAL); // TFT_defaultFont
MOVS	R2, #0
MOVW	R1, #0
MOVW	R0, #lo_addr(_Verdana12x13_Regular+0)
MOVT	R0, #hi_addr(_Verdana12x13_Regular+0)
BL	_TFT_Set_Font+0
;HALL CURRENT click.c,194 :: 		if(current_moy <= 1.0)
MOVW	R0, #lo_addr(_current_moy+0)
MOVT	R0, #hi_addr(_current_moy+0)
LDR	R2, [R0, #0]
MOV	R0, #1065353216
BL	__Compare_FP+0
MOVW	R0, #0
BLT	L__main15
MOVS	R0, #1
L__main15:
CMP	R0, #0
IT	EQ
BEQ	L_main7
;HALL CURRENT click.c,197 :: 		TFT_Write_Text("Current Eff (mA) :", 55, 64); // 75
MOVW	R0, #lo_addr(?lstr6_HALL_32CURRENT_32click+0)
MOVT	R0, #hi_addr(?lstr6_HALL_32CURRENT_32click+0)
MOVS	R2, #64
MOVS	R1, #55
BL	_TFT_Write_Text+0
;HALL CURRENT click.c,198 :: 		TFT_Write_Text("Current Moy (mA) :", 55, 79); // 90
MOVW	R0, #lo_addr(?lstr7_HALL_32CURRENT_32click+0)
MOVT	R0, #hi_addr(?lstr7_HALL_32CURRENT_32click+0)
MOVS	R2, #79
MOVS	R1, #55
BL	_TFT_Write_Text+0
;HALL CURRENT click.c,199 :: 		FloatToStr(1000.0 * current_eff, txt_A_eff);     // Convert the current value to a string
MOVW	R0, #lo_addr(_current_eff+0)
MOVT	R0, #hi_addr(_current_eff+0)
LDR	R2, [R0, #0]
MOVW	R0, #0
MOVT	R0, #17530
BL	__Mul_FP+0
MOVW	R1, #lo_addr(_txt_A_eff+0)
MOVT	R1, #hi_addr(_txt_A_eff+0)
BL	_FloatToStr+0
;HALL CURRENT click.c,200 :: 		FloatToStr(1000.0 * current_moy, txt_A_moy); // Convert the current value to a string
MOVW	R0, #lo_addr(_current_moy+0)
MOVT	R0, #hi_addr(_current_moy+0)
LDR	R2, [R0, #0]
MOVW	R0, #0
MOVT	R0, #17530
BL	__Mul_FP+0
MOVW	R1, #lo_addr(_txt_A_moy+0)
MOVT	R1, #hi_addr(_txt_A_moy+0)
BL	_FloatToStr+0
;HALL CURRENT click.c,202 :: 		k = 50.0; // 50 = 1000.0 * 50pix / 1000mA;
MOVW	R1, #0
MOVT	R1, #16968
MOVW	R0, #lo_addr(_k+0)
MOVT	R0, #hi_addr(_k+0)
STR	R1, [R0, #0]
;HALL CURRENT click.c,203 :: 		}
IT	AL
BAL	L_main8
L_main7:
;HALL CURRENT click.c,207 :: 		TFT_Write_Text("Current Eff ( A) :", 55, 64); // 75
MOVW	R0, #lo_addr(?lstr8_HALL_32CURRENT_32click+0)
MOVT	R0, #hi_addr(?lstr8_HALL_32CURRENT_32click+0)
MOVS	R2, #64
MOVS	R1, #55
BL	_TFT_Write_Text+0
;HALL CURRENT click.c,208 :: 		TFT_Write_Text("Current Moy ( A) :", 55, 79); // 90
MOVW	R0, #lo_addr(?lstr9_HALL_32CURRENT_32click+0)
MOVT	R0, #hi_addr(?lstr9_HALL_32CURRENT_32click+0)
MOVS	R2, #79
MOVS	R1, #55
BL	_TFT_Write_Text+0
;HALL CURRENT click.c,209 :: 		FloatToStr(current_eff, txt_A_eff);     // Convert the current value to a string
MOVW	R0, #lo_addr(_current_eff+0)
MOVT	R0, #hi_addr(_current_eff+0)
LDR	R0, [R0, #0]
MOVW	R1, #lo_addr(_txt_A_eff+0)
MOVT	R1, #hi_addr(_txt_A_eff+0)
BL	_FloatToStr+0
;HALL CURRENT click.c,210 :: 		FloatToStr(current_moy, txt_A_moy); // Convert the current value to a string
MOVW	R0, #lo_addr(_current_moy+0)
MOVT	R0, #hi_addr(_current_moy+0)
LDR	R0, [R0, #0]
MOVW	R1, #lo_addr(_txt_A_moy+0)
MOVT	R1, #hi_addr(_txt_A_moy+0)
BL	_FloatToStr+0
;HALL CURRENT click.c,212 :: 		k = 1.0; // 1 = 50 pix / 50A
MOV	R1, #1065353216
MOVW	R0, #lo_addr(_k+0)
MOVT	R0, #hi_addr(_k+0)
STR	R1, [R0, #0]
;HALL CURRENT click.c,213 :: 		}
L_main8:
;HALL CURRENT click.c,216 :: 		current_max = 0.0;
MOV	R1, #0
MOVW	R0, #lo_addr(_current_max+0)
MOVT	R0, #hi_addr(_current_max+0)
STR	R1, [R0, #0]
;HALL CURRENT click.c,218 :: 		FloatToStr(voltage_read_float, txt_V);          // Convert the current value to a string
MOVW	R0, #lo_addr(_voltage_read_float+0)
MOVT	R0, #hi_addr(_voltage_read_float+0)
LDR	R0, [R0, #0]
MOVW	R1, #lo_addr(_txt_V+0)
MOVT	R1, #hi_addr(_txt_V+0)
BL	_FloatToStr+0
;HALL CURRENT click.c,219 :: 		FloatToStr(power_float, txt_W);                  // Convert the power value to a string
MOVW	R0, #lo_addr(_power_float+0)
MOVT	R0, #hi_addr(_power_float+0)
LDR	R0, [R0, #0]
MOVW	R1, #lo_addr(_txt_W+0)
MOVT	R1, #hi_addr(_txt_W+0)
BL	_FloatToStr+0
;HALL CURRENT click.c,221 :: 		TFT_Write_Text(txt_V, 200, 49); //60
MOVS	R2, #49
MOVS	R1, #200
MOVW	R0, #lo_addr(_txt_V+0)
MOVT	R0, #hi_addr(_txt_V+0)
BL	_TFT_Write_Text+0
;HALL CURRENT click.c,223 :: 		TFT_Write_Text(txt_A_eff, 200, 64); // 75
MOVS	R2, #64
MOVS	R1, #200
MOVW	R0, #lo_addr(_txt_A_eff+0)
MOVT	R0, #hi_addr(_txt_A_eff+0)
BL	_TFT_Write_Text+0
;HALL CURRENT click.c,224 :: 		TFT_Write_Text(txt_A_moy, 200, 79); // 90
MOVS	R2, #79
MOVS	R1, #200
MOVW	R0, #lo_addr(_txt_A_moy+0)
MOVT	R0, #hi_addr(_txt_A_moy+0)
BL	_TFT_Write_Text+0
;HALL CURRENT click.c,226 :: 		TFT_Write_Text(txt_W, 200, 94); //105
MOVS	R2, #94
MOVS	R1, #200
MOVW	R0, #lo_addr(_txt_W+0)
MOVT	R0, #hi_addr(_txt_W+0)
BL	_TFT_Write_Text+0
;HALL CURRENT click.c,233 :: 		j = 0;
MOVS	R1, #0
SXTH	R1, R1
MOVW	R0, #lo_addr(_j+0)
MOVT	R0, #hi_addr(_j+0)
STRH	R1, [R0, #0]
;HALL CURRENT click.c,234 :: 		current_eff = 0.0;
MOV	R1, #0
MOVW	R0, #lo_addr(_current_eff+0)
MOVT	R0, #hi_addr(_current_eff+0)
STR	R1, [R0, #0]
;HALL CURRENT click.c,235 :: 		}
L_main6:
;HALL CURRENT click.c,236 :: 		}
IT	AL
BAL	L_main2
;HALL CURRENT click.c,237 :: 		}
L_end_main:
L__main_end_loop:
B	L__main_end_loop
; end of _main
